task strelka {

    File ref_dir
	File fasta
	File Dedup_bam
	File Dedup_bam_index
	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		/strelka-2.9.10.centos6_x86_64/bin/configureStrelkaGermlineWorkflow.py --bam ${Dedup_bam} --referenceFasta ${ref_dir}/${fasta} 
		StrelkaGermlineWorkflow/runWorkflow.py -m local -j $nt
		mv StrelkaGermlineWorkflow/results/variants/variants.vcf.gz StrelkaGermlineWorkflow/results/variants/${sample}_strelka2.vcf.gz 
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File strelka_vcf = "StrelkaGermlineWorkflow/results/variants/${sample}_strelka2.vcf.gz"
	}
}
